package auth

import (
	"git.mstar.dev/mstar/linstrom/storage"
	"gorm.io/gorm"
)

type Authentication struct {
	// For when in-depth access is needed
	db *gorm.DB
	// Primary method to acquire account data
	store *storage.Storage
}

func NewAuth(db *gorm.DB, store *storage.Storage) *Authentication {
	return &Authentication{db, store}
}
